	SUBROUTINE IFL
C--PROMPTS FOR AND OPENS AN INPUT FILE AS UNIT 2.
	CHARACTER INFL*80
	WRITE (6,1000)
1000	FORMAT (' INPUT FILENAME? '$)
	READ (5,1001) INFL
1001	FORMAT (A)
	call openr (2,infl, 'f',ios)
	if (ios.ne.0) then
	  print *,'*** Error: cant open input file'
	  stop
	end if
	RETURN
	END
